net.sf.jasperreports.engine.design

## Class JRValidationFault

- java.lang.Object
- - net.sf.jasperreports.engine.design.JRValidationFault

- All Implemented Interfaces:
    java.io.Serializable

      public class JRValidationFault
      extends java.lang.Object
      implements java.io.Serializable

  A report validation fault.
  Version:
    $Id: JRValidationFault.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRVerifier`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRValidationFault()` Creates an empty fault.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()` Returns the fault message/description.
    `java.lang.Object` | `getSource()` Returns the fault source object.
    `void` | `setMessage(java.lang.String message)` Sets the fault message/description.
    `void` | `setSource(java.lang.Object source)` Set the fault source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRValidationFault

          public JRValidationFault()

      Creates an empty fault.

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Returns the fault message/description.
      Returns:
        the fault description

    - #### setMessage

          public void setMessage(java.lang.String message)

      Sets the fault message/description.
      Parameters:
        `message` - the description

    - #### getSource

          public java.lang.Object getSource()

      Returns the fault source object.

      The source is the report object that dispalayed the fault. It can be, for instance, a (@link JRDesignVariable variable}, an `expression`, or a `report element`.
      Returns:
        the fault source

    - #### setSource

          public void setSource(java.lang.Object source)

      Set the fault source.
      Parameters:
        `source` - the fault source

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com